#!/bin/sh

REPORT_DIR=$1
if [ "${REPORT_DIR}" = "" ]; then
	REPORTDIR=report
fi

TARGET_FILES=`ls ${REPORT_DIR}/*.cpp.gcov | grep -v ${REPORT_DIR}/ut_ | grep -v ${REPORT_DIR}/scpp_unittest.cpp.gcov | grep -v ${REPORT_DIR}/scpp_memory.cpp.gcov`

for f in ${TARGET_FILES}; do
	echo "checking ..... ${f}"
	cat "${f}" | grep "#####"
done

exit 0;

